let self = {
  lock ? import ./lock.nix
, lib ? import "${(self {}).nixpkgs}/lib"
}:

{
  inherit lock;
  nixpkgs = builtins.fetchTarball {
    name = "nixpkgs";
    url = "https://github.com/NixOS/nixpkgs/archive/${lock.nixpkgs.revision}.tar.gz";
    sha256 = "${lock.nixpkgs.sha256}";
  };
};
in self
